Index: /pjproject/trunk/pjmedia/src/pjmedia/sound_legacy.c
===================================================================
--- /pjproject/trunk/pjmedia/src/pjmedia/sound_legacy.c	(revision 4536)
+++ /pjproject/trunk/pjmedia/src/pjmedia/sound_legacy.c	(revision 4537)
@@ -95,5 +95,5 @@
 			      frame->timestamp.u32.lo,
 			      frame->buf,
-			      frame->size);
+			      (unsigned)frame->size);
 }
 
@@ -105,5 +105,5 @@
 			     frame->timestamp.u32.lo,
 			     frame->buf,
-			     frame->size);
+			     (unsigned)frame->size);
 }
 
Index: /pjproject/trunk/pjmedia/src/pjmedia/sound_port.c
===================================================================
--- /pjproject/trunk/pjmedia/src/pjmedia/sound_port.c	(revision 4536)
+++ /pjproject/trunk/pjmedia/src/pjmedia/sound_port.c	(revision 4537)
@@ -72,5 +72,5 @@
     pjmedia_snd_port *snd_port = (pjmedia_snd_port*) user_data;
     pjmedia_port *port;
-    const unsigned required_size = frame->size;
+    const unsigned required_size = (unsigned)frame->size;
     pj_status_t status;
 
Index: /pjproject/trunk/pjmedia/src/pjmedia/splitcomb.c
===================================================================
--- /pjproject/trunk/pjmedia/src/pjmedia/splitcomb.c	(revision 4536)
+++ /pjproject/trunk/pjmedia/src/pjmedia/splitcomb.c	(revision 4537)
@@ -566,5 +566,5 @@
 	extract_mono_frame((const pj_int16_t*)frame->buf, sc->put_buf, ch, 
 			   PJMEDIA_PIA_CCNT(&this_port->info),
-			   frame->size * 8 / 
+			   (unsigned)frame->size * 8 / 
 			     PJMEDIA_PIA_BITS(&this_port->info) /
 			     PJMEDIA_PIA_CCNT(&this_port->info));
Index: /pjproject/trunk/pjmedia/src/pjmedia/stream.c
===================================================================
--- /pjproject/trunk/pjmedia/src/pjmedia/stream.c	(revision 4536)
+++ /pjproject/trunk/pjmedia/src/pjmedia/stream.c	(revision 4537)
@@ -529,5 +529,5 @@
 		frame_out.size = frame->size - samples_count*2;
 		status = pjmedia_codec_recover(stream->codec,
-					       frame_out.size,
+					       (unsigned)frame_out.size,
 					       &frame_out);
 
@@ -578,5 +578,5 @@
 			frame_out.size = frame->size - samples_count*2;
 			status = pjmedia_codec_recover(stream->codec,
-						       frame_out.size,
+						       (unsigned)frame_out.size,
 						       &frame_out);
 			if (status != PJ_SUCCESS)
@@ -633,5 +633,5 @@
 		    frame_out.size = frame->size - samples_count*2;
 		    status = pjmedia_codec_recover(stream->codec,
-						   frame_out.size,
+						   (unsigned)frame_out.size,
 						   &frame_out);
 		    if (status != PJ_SUCCESS)
@@ -684,5 +684,6 @@
 	    frame_out.size = frame->size - samples_count*BYTES_PER_SAMPLE;
 	    status = pjmedia_codec_decode( stream->codec, &frame_in,
-					   frame_out.size, &frame_out);
+					   (unsigned)frame_out.size, 
+					   &frame_out);
 	    if (status != 0) {
 		LOGERR_((port->info.name.ptr, "codec decode() error", 
@@ -1126,5 +1127,5 @@
 	    pj_bzero(stream->enc_buf + stream->enc_buf_count, frame->size);
 	}
-	stream->enc_buf_count += (frame->size >> 1);
+	stream->enc_buf_count += ((unsigned)frame->size >> 1);
     }
 
@@ -1193,5 +1194,6 @@
     /* Number of samples in the frame */
     if (frame->type == PJMEDIA_FRAME_TYPE_AUDIO)
-	ts_len = (frame->size >> 1) / stream->codec_param.info.channel_cnt;
+	ts_len = ((unsigned)frame->size >> 1) / 
+		 stream->codec_param.info.channel_cnt;
     else if (frame->type == PJMEDIA_FRAME_TYPE_EXTENDED)
 	ts_len = PJMEDIA_PIA_SPF(&stream->port.info) /
@@ -1237,5 +1239,5 @@
 	status = pjmedia_rtp_encode_rtp( &channel->rtp, 
 					 stream->tx_event_pt, first, 
-					 frame_out.size,
+					 (int)frame_out.size,
 					 (first ? rtp_ts_len : 0), 
 					 (const void**)&rtphdr, 
@@ -1296,5 +1298,5 @@
 	status = pjmedia_rtp_encode_rtp( &channel->rtp, 
 					 channel->pt, 0, 
-					 frame_out.size, rtp_ts_len, 
+					 (int)frame_out.size, rtp_ts_len, 
 					 (const void**)&rtphdr, 
 					 &rtphdrlen);
@@ -1320,5 +1322,5 @@
 	status = pjmedia_rtp_encode_rtp( &channel->rtp, 
 					 channel->pt, 0, 
-					 frame_out.size, rtp_ts_len, 
+					 (int)frame_out.size, rtp_ts_len, 
 					 (const void**)&rtphdr, 
 					 &rtphdrlen);
@@ -1392,5 +1394,5 @@
 
     /* Update stat */
-    pjmedia_rtcp_tx_rtp(&stream->rtcp, frame_out.size);
+    pjmedia_rtcp_tx_rtp(&stream->rtcp, (unsigned)frame_out.size);
     stream->rtcp.stat.rtp_tx_last_ts = pj_ntohl(stream->enc->rtp.out_hdr.ts);
     stream->rtcp.stat.rtp_tx_last_seq = pj_ntohs(stream->enc->rtp.out_hdr.seq);
@@ -1630,5 +1632,6 @@
     /* Check for errors */
     if (bytes_read < 0) {
-	LOGERR_((stream->port.info.name.ptr, "RTP recv() error", -bytes_read));
+	LOGERR_((stream->port.info.name.ptr, "RTP recv() error", 
+		(pj_status_t)-bytes_read));
 	return;
     }
@@ -1639,5 +1642,5 @@
 
     /* Update RTP and RTCP session. */
-    status = pjmedia_rtp_decode_rtp(&channel->rtp, pkt, bytes_read,
+    status = pjmedia_rtp_decode_rtp(&channel->rtp, pkt, (int)bytes_read,
 				    &hdr, &payload, &payloadlen);
     if (status != PJ_SUCCESS) {
@@ -1888,5 +1891,5 @@
     if (bytes_read < 0) {
 	LOGERR_((stream->port.info.name.ptr, "RTCP recv() error", 
-		 -bytes_read));
+		(pj_status_t)-bytes_read));
 	return;
     }
@@ -2299,5 +2302,5 @@
     stream->out_rtcp_pkt_size =  sizeof(pjmedia_rtcp_sr_pkt) +
 				 sizeof(pjmedia_rtcp_common) +
-				 (4 + stream->cname.slen) +
+				 (4 + (unsigned)stream->cname.slen) +
 				 32;
 #if defined(PJMEDIA_HAS_RTCP_XR) && (PJMEDIA_HAS_RTCP_XR != 0)
@@ -2465,5 +2468,5 @@
 	status = pjmedia_rtp_encode_rtp( &channel->rtp,
 					 stream->tx_event_pt, first,
-					 frame_out.size, 0,
+					 (int)frame_out.size, 0,
 					 (const void**)&rtphdr,
 					 &rtphdrlen);
@@ -2767,5 +2770,5 @@
 
 	/* Increment digit count only if all digits are valid. */
-	stream->tx_dtmf_count += digit_char->slen;
+	stream->tx_dtmf_count += (int)digit_char->slen;
     }
 
Index: /pjproject/trunk/pjmedia/src/pjmedia/tonegen.c
===================================================================
--- /pjproject/trunk/pjmedia/src/pjmedia/tonegen.c	(revision 4536)
+++ /pjproject/trunk/pjmedia/src/pjmedia/tonegen.c	(revision 4537)
@@ -629,5 +629,5 @@
 	unsigned required, cnt, on_samp, off_samp;
 
-	required = end - dst;
+	required = (unsigned)(end - dst);
 	on_samp = dig->on_msec * clock_rate / 1000;
 	off_samp = dig->off_msec * clock_rate / 1000;
@@ -729,5 +729,5 @@
 
     if (dst < end)
-	pjmedia_zero_samples(dst, end-dst);
+	pjmedia_zero_samples(dst, (unsigned)(end-dst));
 
     frame->type = PJMEDIA_FRAME_TYPE_AUDIO;
Index: /pjproject/trunk/pjmedia/src/pjmedia/transport_srtp.c
===================================================================
--- /pjproject/trunk/pjmedia/src/pjmedia/transport_srtp.c	(revision 4536)
+++ /pjproject/trunk/pjmedia/src/pjmedia/transport_srtp.c	(revision 4537)
@@ -802,5 +802,5 @@
     pj_status_t status;
     transport_srtp *srtp = (transport_srtp*) tp;
-    int len = size;
+    int len = (int)size;
     err_status_t err;
 
@@ -846,5 +846,5 @@
     pj_status_t status;
     transport_srtp *srtp = (transport_srtp*) tp;
-    int len = size;
+    int len = (int)size;
     err_status_t err;
 
@@ -933,5 +933,5 @@
 
     /* Make sure buffer is 32bit aligned */
-    PJ_ASSERT_ON_FAIL( (((long)pkt) & 0x03)==0, return );
+    PJ_ASSERT_ON_FAIL( (((pj_ssize_t)pkt) & 0x03)==0, return );
 
     if (srtp->probation_cnt > 0)
@@ -1006,5 +1006,5 @@
 
     /* Make sure buffer is 32bit aligned */
-    PJ_ASSERT_ON_FAIL( (((long)pkt) & 0x03)==0, return );
+    PJ_ASSERT_ON_FAIL( (((pj_ssize_t)pkt) & 0x03)==0, return );
 
     pj_lock_acquire(srtp->mutex);
@@ -1118,5 +1118,5 @@
     pj_str_t input;
     char *token;
-    int token_len;
+    pj_size_t token_len;
     pj_str_t tmp;
     pj_status_t status;
@@ -1682,5 +1682,5 @@
 
     /* Make sure buffer is 32bit aligned */
-    PJ_ASSERT_ON_FAIL( (((long)pkt) & 0x03)==0, return PJ_EINVAL);
+    PJ_ASSERT_ON_FAIL( (((pj_ssize_t)pkt) & 0x03)==0, return PJ_EINVAL);
 
     pj_lock_acquire(srtp->mutex);
Index: /pjproject/trunk/pjmedia/src/pjmedia/vid_codec_util.c
===================================================================
--- /pjproject/trunk/pjmedia/src/pjmedia/vid_codec_util.c	(revision 4536)
+++ /pjproject/trunk/pjmedia/src/pjmedia/vid_codec_util.c	(revision 4537)
@@ -447,5 +447,5 @@
 					  h264_fmtp->sprop_param_sets_len];
 		tmp_len = PJ_ARRAY_SIZE(h264_fmtp->sprop_param_sets) -
-			  h264_fmtp->sprop_param_sets_len -
+			  (int)h264_fmtp->sprop_param_sets_len -
 			  PJ_ARRAY_SIZE(start_code);
 		status = pj_base64_decode(&tmp_st,
Index: /pjproject/trunk/pjmedia/src/pjmedia/vid_stream.c
===================================================================
--- /pjproject/trunk/pjmedia/src/pjmedia/vid_stream.c	(revision 4536)
+++ /pjproject/trunk/pjmedia/src/pjmedia/vid_stream.c	(revision 4537)
@@ -503,5 +503,5 @@
         			     "Error generating RTCP SDES"));
 	} else {
-	    len += sdes_len;
+	    len += (int)sdes_len;
 	}
     }
@@ -518,5 +518,5 @@
         			     "Error generating RTCP BYE"));
 	} else {
-	    len += bye_len;
+	    len += (int)bye_len;
 	}
     }
@@ -607,5 +607,6 @@
     /* Check for errors */
     if (bytes_read < 0) {
-	LOGERR_((channel->port.info.name.ptr, "RTP recv() error", -bytes_read));
+	LOGERR_((channel->port.info.name.ptr, "RTP recv() error", 
+		(pj_status_t)-bytes_read));
 	return;
     }
@@ -616,5 +617,5 @@
 
     /* Update RTP and RTCP session. */
-    status = pjmedia_rtp_decode_rtp(&channel->rtp, pkt, bytes_read,
+    status = pjmedia_rtp_decode_rtp(&channel->rtp, pkt, (int)bytes_read,
 				    &hdr, &payload, &payloadlen);
     if (status != PJ_SUCCESS) {
@@ -778,5 +779,5 @@
     if (bytes_read < 0) {
 	LOGERR_((stream->cname.ptr, "RTCP recv() error", 
-		 -bytes_read));
+		 (pj_status_t)-bytes_read));
 	return;
     }
@@ -870,5 +871,5 @@
 	                                channel->pt,
 	                                (has_more_data == PJ_FALSE ? 1 : 0),
-	                                frame_out.size,
+	                                (int)frame_out.size,
 	                                rtp_ts_len,
 	                                (const void**)&rtphdr,
@@ -900,5 +901,5 @@
 	}
 
-	pjmedia_rtcp_tx_rtp(&stream->rtcp, frame_out.size);
+	pjmedia_rtcp_tx_rtp(&stream->rtcp, (unsigned)frame_out.size);
 	total_sent += frame_out.size;
 	pkt_cnt++;
@@ -1072,5 +1073,5 @@
 	status = pjmedia_vid_codec_decode(stream->codec, cnt,
 	                                  stream->rx_frames,
-	                                  frame->size, frame);
+	                                  (unsigned)frame->size, frame);
 	if (status != PJ_SUCCESS) {
 	    LOGERR_((channel->port.info.name.ptr, "codec decode() error",
@@ -1292,5 +1293,5 @@
 	min_out_pkt_size =  sizeof(pjmedia_rtcp_sr_pkt) +
 			    sizeof(pjmedia_rtcp_common) +
-			    (4 + stream->cname.slen) +
+			    (4 + (unsigned)stream->cname.slen) +
 			    32;
 
@@ -1600,5 +1601,5 @@
     stream->out_rtcp_pkt_size =  sizeof(pjmedia_rtcp_sr_pkt) +
 				 sizeof(pjmedia_rtcp_common) +
-				 (4 + stream->cname.slen) +
+				 (4 + (unsigned)stream->cname.slen) +
 				 32;
     if (stream->out_rtcp_pkt_size > PJMEDIA_MAX_MTU)
Index: /pjproject/trunk/pjmedia/src/pjmedia/wav_player.c
===================================================================
--- /pjproject/trunk/pjmedia/src/pjmedia/wav_player.c	(revision 4536)
+++ /pjproject/trunk/pjmedia/src/pjmedia/wav_player.c	(revision 4537)
@@ -61,5 +61,5 @@
     pj_uint16_t	     bytes_per_sample;
     pj_bool_t	     eof;
-    pj_size_t	     bufsize;
+    pj_uint32_t	     bufsize;
     char	    *buf;
     char	    *readpos;
@@ -108,5 +108,5 @@
 static pj_status_t fill_buffer(struct file_reader_port *fport)
 {
-    pj_ssize_t size_left = fport->bufsize;
+    pj_uint32_t size_left = fport->bufsize;
     unsigned size_to_read;
     pj_ssize_t size;
@@ -136,6 +136,6 @@
         }
 
-	size_left -= size;
-        fport->data_left -= size;
+	size_left -= (pj_uint32_t)size;
+        fport->data_left -= (pj_uint32_t)size;
 	fport->fpos += size;
 
@@ -376,5 +376,5 @@
     /* Create file buffer.
      */
-    fport->bufsize = buff_size;
+    fport->bufsize = (pj_uint32_t)buff_size;
 
 
@@ -542,5 +542,5 @@
 {
     struct file_reader_port *fport = (struct file_reader_port*)this_port;
-    unsigned frame_size;
+    pj_size_t frame_size;
     pj_status_t status;
 
@@ -618,5 +618,5 @@
 	 * First stage: read until end of buffer. 
 	 */
-	endread = (fport->buf+fport->bufsize) - fport->readpos;
+	endread = (unsigned)((fport->buf+fport->bufsize) - fport->readpos);
 	pj_memcpy(frame->buf, fport->readpos, endread);
 
Index: /pjproject/trunk/pjmedia/src/pjmedia/wav_playlist.c
===================================================================
--- /pjproject/trunk/pjmedia/src/pjmedia/wav_playlist.c	(revision 4536)
+++ /pjproject/trunk/pjmedia/src/pjmedia/wav_playlist.c	(revision 4537)
@@ -61,5 +61,5 @@
     unsigned	     options;
     pj_bool_t	     eof;
-    pj_size_t	     bufsize;
+    pj_uint32_t	     bufsize;
     char	    *buf;
     char	    *readpos;
@@ -108,6 +108,6 @@
 static pj_status_t file_fill_buffer(struct playlist_port *fport)
 {
-    pj_ssize_t size_left = fport->bufsize;
-    unsigned size_to_read;
+    pj_uint32_t size_left = fport->bufsize;
+    pj_uint32_t size_to_read;
     pj_ssize_t size;
     pj_status_t status;
@@ -134,5 +134,5 @@
 	}
 	
-	size_left -= size;
+	size_left -= (pj_uint32_t)size;
 	fport->fpos_list[current_file] += size;
 	
@@ -319,5 +319,5 @@
      */
     if (buff_size < 1) buff_size = PJMEDIA_FILE_PORT_BUFSIZE;
-    fport->bufsize = buff_size;
+    fport->bufsize = (pj_uint32_t)buff_size;
 
 
@@ -570,5 +570,5 @@
 {
     struct playlist_port *fport = (struct playlist_port*)this_port;
-    unsigned frame_size;
+    pj_size_t frame_size;
     pj_status_t status;
 
@@ -607,5 +607,5 @@
 	 * First stage: read until end of buffer.
 	 */
-	endread = (fport->buf+fport->bufsize) - fport->readpos;
+	endread = (unsigned)((fport->buf+fport->bufsize) - fport->readpos);
 	pj_memcpy(frame->buf, fport->readpos, endread);
 
Index: /pjproject/trunk/pjmedia/src/pjmedia/wav_writer.c
===================================================================
--- /pjproject/trunk/pjmedia/src/pjmedia/wav_writer.c	(revision 4536)
+++ /pjproject/trunk/pjmedia/src/pjmedia/wav_writer.c	(revision 4537)
@@ -312,5 +312,5 @@
 {
     struct file_port *fport = (struct file_port *)this_port;
-    unsigned frame_size;
+    pj_size_t frame_size;
 
     if (fport->fmt_tag == PJMEDIA_WAVE_FMT_TAG_PCM)
Index: /pjproject/trunk/pjmedia/src/pjmedia/wsola.c
===================================================================
--- /pjproject/trunk/pjmedia/src/pjmedia/wsola.c	(revision 4536)
+++ /pjproject/trunk/pjmedia/src/pjmedia/wsola.c	(revision 4537)
@@ -488,5 +488,5 @@
 	}
 	if (buf != end)
-	    pjmedia_zero_samples(buf, end - buf);
+	    pjmedia_zero_samples(buf, (unsigned)(end - buf));
 	wsola->fade_out_pos = 0;
     } else {
@@ -662,5 +662,5 @@
 
 	/* How many new samples do we have */
-	dist = templ - start;
+	dist = (unsigned)(templ - start);
 
 	/* Not enough buffer to hold the result */
@@ -720,5 +720,5 @@
 
 	start = find_pitch(buf, start, end, wsola->templ_size, 0);
-	dist = start - buf;
+	dist = (unsigned)(start - buf);
 
 	if (wsola->options & PJMEDIA_WSOLA_NO_HANNING) {
Index: /pjproject/trunk/pjmedia/src/test/codec_vectors.c
===================================================================
--- /pjproject/trunk/pjmedia/src/test/codec_vectors.c	(revision 4536)
+++ /pjproject/trunk/pjmedia/src/test/codec_vectors.c	(revision 4537)
@@ -35,5 +35,6 @@
     pj_str_t codec_id = pj_str(codec_name);
     pj_pool_t *pool = NULL;
-    unsigned count, samples_per_frame, encoded_frame_len = 0, pos;
+    unsigned count, samples_per_frame;
+    pj_size_t encoded_frame_len = 0, pos;
     pjmedia_codec *codec = NULL;
     const pjmedia_codec_info *ci[1];
@@ -126,5 +127,5 @@
 
 	if (out_frame.size) {
-	    int cnt;
+	    pj_size_t cnt;
 
 	    cnt = fwrite(out_frame.buf, out_frame.size, 1, output);
@@ -153,5 +154,5 @@
     pos = 0;
     for (;;) {
-	int count;
+	pj_size_t count;
 	
 	count = fread(in_frame.buf, encoded_frame_len, 1, fref);
@@ -445,5 +446,5 @@
     pos = 0;
     for (;;) {
-	int count;
+	pj_size_t count;
 	
 	count = fread(pkt, samples_per_frame*2, 1, fref);
Index: /pjproject/trunk/pjmedia/src/test/vid_codec_test.c
===================================================================
--- /pjproject/trunk/pjmedia/src/test/vid_codec_test.c	(revision 4536)
+++ /pjproject/trunk/pjmedia/src/test/vid_codec_test.c	(revision 4537)
@@ -87,5 +87,5 @@
 
     enc_buf = port_data->enc_buf;
-    enc_size_left = port_data->enc_buf_size;
+    enc_size_left = (unsigned)port_data->enc_buf_size;
 
     /*
@@ -100,5 +100,5 @@
 
     enc_buf += enc_frames[enc_cnt].size;
-    enc_size_left -= enc_frames[enc_cnt].size;
+    enc_size_left -= (unsigned)enc_frames[enc_cnt].size;
 
     ++enc_cnt;
@@ -114,5 +114,5 @@
 
 	enc_buf += enc_frames[enc_cnt].size;
-	enc_size_left -= enc_frames[enc_cnt].size;
+	enc_size_left -= (unsigned)enc_frames[enc_cnt].size;
 
 	++enc_cnt;
@@ -128,5 +128,5 @@
      */
     status = pjmedia_vid_codec_decode(codec, enc_cnt, enc_frames,
-				      frame->size, frame);
+				      (unsigned)frame->size, frame);
     if (status != PJ_SUCCESS) goto on_error;
 
